--- source/setenv.c.old	2007-12-29 12:55:00.000000000 -0500
+++ source/setenv.c	2007-12-29 12:46:51.000000000 -0500
@@ -28,6 +28,10 @@
 #include <stdlib.h>
 #include <sys/types.h>
 
+#if __DARWIN_UNIX03
+#include <string.h>
+#endif
+
 #ifdef BSD4_2
 #define memcpy(a,b,c) bcopy(b,a,c)
 #endif
@@ -39,7 +43,11 @@
  */
 int
 setenv(name, value, rewrite)
+#ifdef __APPLE__
+    const char *name, *value;
+#else
 	register char *name, *value;
+#endif
 	int rewrite;
 {
 	extern char **environ;
@@ -95,9 +103,17 @@
  * unsetenv(name) --
  *	Delete environmental variable "name".
  */
+#if __DARWIN_UNIX03
+int
+#else
 void
+#endif
 unsetenv(name)
+#ifdef __APPLE__
+    const char	*name;
+#else
 	char	*name;
+#endif
 {
 	extern char **environ;
 	register char **P;
